#日本語文字コード判定用コメント。
$KCODE= "u"


module KanaRome
    
    KANAS= ("あいうえおかきくけこさしすせそたちつてとなにぬねのはひふへほまみむめも"+
      "や　ゆ　よらりるれろわ　　　をがぎぐげござじずぜぞだぢづでどばびぶべぼ"+
      "ぱぴぷぺぽぁぃぅぇぉゃ　ゅ　ょ").split(//)
    HEADS= [""]+%w(k s t n h m y r w g z d b p l ly)
    TAILS= %w(a i u e o)
    ETCS= {"っ" => "ltu", "ん" => "nn", "ー" => "-"}
    
  module_function
    
    def convert(ch)
      if ch=="　"
        return ch
      elsif n= KANAS.index(ch)
        return HEADS[n/5] + TAILS[n%5]
      else
        return ETCS[ch]
      end
    end
    
end


if __FILE__==$0
  
  require "japanese_io"
  include(JapaneseIO)
  
  while s= jgets()
    for ch in s.chomp().split(//)
      jprint(KanaRome.convert(ch) || ch)
    end
    jputs()
  end
  
end
